mixed-port: 7890
allow-lan: false
mode: rule
log-level: info
ipv6: false

proxies:
  - name: SG-Xray-Reality
    type: vless
    server: 47.82.241.1
    port: 8443
    uuid: 1c3cbdae-689f-484b-9d18-db93113bac9e
    network: tcp
    udp: true
    tls: true
    servername: www.microsoft.com
    flow: xtls-rprx-vision
    client-fingerprint: chrome
    reality-opts:
      public-key: F1WvKU__pABy20BehVgT7a697DCZjcButWCUBFu2kno
      short-id: 05be359d4d5ed3df
    packet-encoding: xudp

proxy-groups:
  - name: 节点选择
    type: select
    proxies:
      - SG-Xray-Reality
      - DIRECT

rules:
  - DOMAIN-SUFFIX,x.com,节点选择
  - DOMAIN-SUFFIX,t.co,节点选择
  - DOMAIN-SUFFIX,twimg.com,节点选择
  - DOMAIN-SUFFIX,twitter.com,节点选择
  - DOMAIN-SUFFIX,claude.ai,节点选择
  - DOMAIN-SUFFIX,anthropic.com,节点选择
  - MATCH,DIRECT
